petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatRARtSymbolic

Creates the (i,j) structure of the matrix product C = R * A * R^T

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatRARtSymbolic(Mat A,Mat R,PetscReal fill,Mat *C)

Neighbor-wise Collective on Mat

### Input Parameters

| A | - the matrix
| R | - the projection matrix

### Output Parameters

C -the (i,j) structure of the product matrix

### Notes

C will be created and must be destroyed by the user with MatDestroy().

This routine is currently only implemented for pairs of SeqAIJ matrices and classes which inherit from SeqAIJ. C will be of type MATSEQAIJ. The product is computed using this (i,j) structure by calling MatRARtNumeric().

### See Also

MatRARt(), MatRARtNumeric(), MatMatMultSymbolic()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages